import express, {type Router} from "express";
import JwtGuard from "@validators/JwtGuard";


const router: Router = express.Router();

router.route('/login')
router.route('/register')

// PATCH
router.route('/me').patch(JwtGuard)

// GET
router.route('/me').get(JwtGuard)

// DELETE
router.route('/me').delete(JwtGuard)


// GET
router.route('/all').get(JwtGuard)


// GET
router.route('/user/:targetId').get(JwtGuard)

// PATCH
router.route('/user/:targetId').patch(JwtGuard)


export default router