import express, {type Router} from "express";


const router: Router = express.Router();

//-- MODELS >>

router.route('/model/new').get()

router.route('/model/all').get()

router.route('/model/:modelSlug')
	.get()
	.patch()
	.delete()


//-- CATEGORY >>

router.route('/category/new').get()

router.route('/category/all').get()

router.route('/category/:categorySlug')
	.get()
	.patch()
	.delete()


//-- BRAND >>

router.route('/brand/new').post()
router.route('/brand/all').get()
router.route('/brand/:brandSlug')
	.get()
	.patch()
	.delete()